/*-----------------------------------------------------*/
/* GETCUR.CMD   - REXX HLLAPI to check cursor position */
/*-----------------------------------------------------*/

parse upper arg session                         /* 001 */
if session = '' then call ERRORMESSAGE          /* 002 */
if length(session) > 1 then call ERRORMESSAGE   /* 003 */

if rxfuncquery('hllapi') then                   /* 004 */
call rxfuncadd 'hllapi','saahlapi','hllapisrv'  /* 005 */

signal on failure name CLEANUP                  /* 006 */
signal on halt name CLEANUP                     /* 007 */
signal on syntax name CLEANUP                   /* 008 */

rc = hllapi('Connect',session)                  /* 009 */
if (rc <> 0) then do                            /* 010 */
   say 'Did not connect to Host.  RC = 'rc      /* 011 */
   signal CLEANUP                               /* 012 */
end                                             /* 013 */

cp = hllapi( 'query_cursor_pos')                /* 014 */
say cp                                          /* 015 */

CLEANUP:                                        /* 016 */
call hllapi("reset_system")                     /* 017 */

ERRORMESSAGE:                                   /* 018 */
say "SYNTAX is GETCUR host_session_letter"      /* 019 */